
Redmine - Feature #5272

Allow multiple target versions

2010-04-08 13:25 - Oliver Gierke

Status: Closed Start date: 2010-04-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Assume you develop two major branches of a project, e.g. maintaining a 1.x branch while developing a 2.x. branch. When you now

have issues that affect both branches (or features that will be implemented for both), there is no way to indicate, that they will be

implemented or fixed in/for both. So it would be cool to be able to assign multiple versions as target versions.

Related issues:

Has duplicate Redmine - Feature #13779: Allow to set more than one target ver... Closed

Is duplicate of Redmine - Feature #1266: Feature: Allow setting multiple targ... New 2008-05-20

History

#1 - 2010-04-08 15:45 - Eraldo Girardi

This would be a useful feature. In my company we have different branches to mantain, and always there are bugs affecting more than a single one.

#2 - 2010-04-09 12:30 - Nigel Jones

I agree this would be a useful feature.

#3 - 2010-04-12 13:33 - Alexander Usikov

+1

Need for this feature

#4 - 2010-04-27 18:31 - Daniel Miller

This feature-request might be a duplicate of feature-request #284.

#5 - 2011-01-10 21:19 - Kiall Mac Innes

+1 There are many other tickets for the same thing, but none have had any activity 9-10 months, and some for years.

This is a really important feature for many developers! We're maintaining 2x versions of the KohanaPHP framework in redmine and struggling to

come up with a usable workflow!

#6 - 2011-01-12 16:16 - Andy Bolstridge

A suggestion: it would be useful to be able to automatically create sub-issues (or related issues) for all versions in a project.

eg. you have version 1.0 and version 2.0 to support, when a new bug is found and created, it wil automatically have related/sub issues for all

versions, so that they can either be marked 'not a problem for this version' or 'waiting to be fixed in this version'. Then the bug will not be closed until

its resolved in all active versions.

It might be better to handle as an option on new issue creation, but it might help a lot of projects that support several versions at once.

#7 - 2011-07-15 11:55 - Pavel Konstantinov

+1

Need for this feature

#8 - 2011-07-18 00:18 - Terence Mill

Could be resolved by custom field if multiselect support #1189 will be implemented.

#9 - 2011-07-22 16:15 - Tharuka Pathirana

+1

Also see #219, #5510 and #1266.
#10 - 2011-07-23 11:22 - Terence Mill

In general multiselect switch feature should be possible for all fields, also custom fields of type list or enumeration.

#11 - 2012-08-09 09:56 - Eraldo Girardi

Tried to use a multiselect custom field but it's so different from the default Target version field.

Target version is useful because you can click on it and see what issues are related to that version. This doesn't work with multiselect version custom

field.

So I really hope multiple target versions is implemented into Redmine.

Thanks

#12 - 2012-11-16 15:12 - Joel SCHAAL

Can we have some update on what will be decided for this task ?

It has been entered more than 2 years ago and it is still new.

Is this a rejected issue ? Does this issue depend on other work ?

#13 - 2013-02-06 17:47 - Anthony BOUQUET

+1 for this feature, really need this for our project instead of copying/pasting issues to multiple milestones !

#14 - 2013-02-18 08:47 - Jongwook Choi

+1

This is a must-have.

#15 - 2013-02-18 16:09 - Michael Lo

I am sponsoring a fix for this. Hope to have a test version soon.

#16 - 2013-04-16 12:07 - Prof. Dr. YoMan

I falsely issued a duplicate of this, but from what I see it is a more than once requested feature.

Why isn't it anywhere on the roadmap?

#17 - 2013-04-16 12:13 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

I close as duplicate with #1266.

#18 - 2014-07-16 11:16 - Alice Etchegaray

+ 1 !!

Michael Lo, have you succeed in developing a fix for that ??

#19 - 2015-05-28 03:05 - zhiguo Zhu

+100
